summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
authordanny <danny@FreeBSD.org>1997-09-18 22:43:48 +0000
committerdanny <danny@FreeBSD.org>1997-09-18 22:43:48 +0000
commitdf61c66b402c930a7a79eae6061a8094c7c7d97c (patch)
tree79da64902ccba9c64e03e4a5cdcd82bbf644cdb1 /etc
parent02b9c60de68e2a171c4c85f214ad75e345fccba3 (diff)
downloadFreeBSD-src-df61c66b402c930a7a79eae6061a8094c7c7d97c.zip
FreeBSD-src-df61c66b402c930a7a79eae6061a8094c7c7d97c.tar.gz
Fix some problems in the rules file loading and need for modload detection.
Found by: "James E. Housley" <housley@pr-comm.com>
Diffstat (limited to 'etc')
-rw-r--r--etc/network.subr4
-rw-r--r--etc/rc.d/netoptions4
-rw-r--r--etc/rc.d/network14
-rw-r--r--etc/rc.d/network24
-rw-r--r--etc/rc.d/network34
-rw-r--r--etc/rc.d/routing4
-rw-r--r--etc/rc.firewall4
-rw-r--r--etc/rc.network4
8 files changed, 16 insertions, 16 deletions
diff --git a/etc/network.subr b/etc/network.subr
index fb35d2f..8199371 100644
--- a/etc/network.subr
+++ b/etc/network.subr
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/netoptions b/etc/rc.d/netoptions
index fb35d2f..8199371 100644
--- a/etc/rc.d/netoptions
+++ b/etc/rc.d/netoptions
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/network1 b/etc/rc.d/network1
index fb35d2f..8199371 100644
--- a/etc/rc.d/network1
+++ b/etc/rc.d/network1
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/network2 b/etc/rc.d/network2
index fb35d2f..8199371 100644
--- a/etc/rc.d/network2
+++ b/etc/rc.d/network2
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/network3 b/etc/rc.d/network3
index fb35d2f..8199371 100644
--- a/etc/rc.d/network3
+++ b/etc/rc.d/network3
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/routing b/etc/rc.d/routing
index fb35d2f..8199371 100644
--- a/etc/rc.d/routing
+++ b/etc/rc.d/routing
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.firewall b/etc/rc.firewall
index 5bfaedc..eeedc39 100644
--- a/etc/rc.firewall
+++ b/etc/rc.firewall
@@ -1,6 +1,6 @@
############
# Setup system for firewall service.
-# $Id: rc.firewall,v 1.12 1997/05/05 07:08:31 jkh Exp $
+# $Id: rc.firewall,v 1.13 1997/09/11 10:59:00 danny Exp $
############
# Define the firewall type in /etc/rc.conf. Valid values are:
@@ -171,5 +171,5 @@ elif [ "${firewall_type}" = "simple" ]; then
# Everything else is denied as default.
elif [ "${firewall_type}" != "NONE" -a -r "${firewall_type}" ]; then
- $fwcmd ${firewall}
+ $fwcmd ${firewall_type}
fi
diff --git a/etc/rc.network b/etc/rc.network
index fb35d2f..8199371 100644
--- a/etc/rc.network
+++ b/etc/rc.network
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
OpenPOWER on IntegriCloud